/[gentoo-x86]/eclass/gst-plugins-bad.eclass
Gentoo

Contents of /eclass/gst-plugins-bad.eclass

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.46 - (show annotations) (download)
Sun Dec 2 17:16:20 2012 UTC (16 months, 2 weeks ago) by eva
Branch: MAIN
CVS Tags: HEAD
Changes since 1.45: +31 -143 lines
Commit new gstreamer eclasses as reviewed on gentoo-dev mailing list with a few more fixes, most notably EAPI=1 support fixes. For a more detailed changelog, please see gnome overlay git log.

1 # Copyright 1999-2012 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: $
4
5 # @ECLASS: gst-plugins10-bad.eclass
6 # @MAINTAINER:
7 # gstreamer@gentoo.org
8 # @AUTHOR:
9 # Gilles Dartiguelongue <eva@gentoo.org>
10 # Saleem Abdulrasool <compnerd@gentoo.org>
11 # foser <foser@gentoo.org>
12 # zaheerm <zaheerm@gentoo.org>
13 # @BLURB: Manages build for invididual ebuild for gst-plugins-bad.
14 # @DESCRIPTION:
15 # See gst-plugins10.eclass documentation.
16
17 GST_ORG_MODULE="gst-plugins-bad"
18
19 inherit eutils gst-plugins10
20
21 case "${EAPI:-0}" in
22 1|2|3|4|5)
23 ;;
24 0)
25 die "EAPI=\"${EAPI}\" is not supported anymore"
26 ;;
27 *)
28 die "EAPI=\"${EAPI}\" is not supported yet"
29 ;;
30 esac
31
32
33 if [[ ${PN} != ${GST_ORG_MODULE} ]]; then
34 # -bad-0.10.20 uses orc optionally instead of liboil unconditionally.
35 # While <0.10.20 configure always check for liboil, it is used only by
36 # non-split plugins in gst/ (legacyresample and mpegdemux), so we only
37 # builddep for all old packages, and have a RDEPEND in old versions of
38 # media-libs/gst-plugins-bad
39 if [[ ${SLOT} = "0.10" ]] && ! version_is_at_least "0.10.20"; then
40 DEPEND="${DEPEND} >=dev-libs/liboil-0.3.8"
41 fi
42 fi

  ViewVC Help
Powered by ViewVC 1.1.20